> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update connection permissions

> Authorize additional Slack permissions without replaying historical data.

The existing personal connection, account, workspace and data are preserved.
Open the returned link immediately and finish consent within ten minutes of
issuance. Opening the link does not extend its lifetime. No change occurs
until approval.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json post /integrations/{integration_id}/connections/{connection_id}/permissions
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /integrations/{integration_id}/connections/{connection_id}/permissions:
    post:
      tags:
        - Integrations
        - Integrations
      summary: Update connection permissions
      description: >-
        Authorize additional Slack permissions without replaying historical
        data.


        The existing personal connection, account, workspace and data are
        preserved.

        Open the returned link immediately and finish consent within ten minutes
        of

        issuance. Opening the link does not extend its lifetime. No change
        occurs

        until approval.
      operationId: >-
        update_connection_permissions_integrations__integration_id__connections__connection_id__permissions_post
      parameters:
        - name: integration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Integration Id
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Connection Id
        - name: redirect_url
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Redirect Url
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    ConnectResponse:
      properties:
        url:
          type: string
          title: Url
        expires_at:
          type: string
          format: date-time
          title: Expires At
      type: object
      required:
        - url
        - expires_at
      title: ConnectResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````